<!DOCTYPE html>
<html lang="en">

  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Client Management Registration</title>
    <link rel="stylesheet" href="../app/css/govuk-frontend.min.css"/>
    <link rel="stylesheet" href="../app/css/sra.css"/>
  </head>

  <body class="govuk-template__body">
    {% from 'components/button/macro.njk' import govukButton %}
    {% from 'components/radios/macro.njk' import govukRadios %}

    <header class='govuk-header' data-module='govuk-header'>
      <div class='govuk-header__container govuk-width-container'>
        <div class='govuk-header__logo'>
          <a href='/' class='govuk-header__link govuk-header__link--homepage'>
            <span class='govuk-header__logotype'>
              <span class="govuk-header__logotype-text">{{ t('common:banner') }}</span>
            </span>
          </a>
        </div>
      </div>
    </header>

    <div class="govuk-width-container">
      <div class='govuk-grid-row'>
        <div class='govuk-grid-column-one-half'>
          <h1 class='sra-header'>{{ t('dth-access-approval:header') }}</h1>
        </div>
        <div class='govuk-grid-column-one-half'>
          <p style='float: left; margin: 0;'>
            <input type='text' id='input-search' name='input-search' size='20'>
          </p>
          <p style='float: right; margin-top:30px;'>
            <button type='button' class='govuk-button' id='btn-search' data-module='govuk-button'>
            Search
          </button>
          </p>
        </div>
      </div>

      <main class="govuk-main-wrapper" id="main-content">
        <form action="/save-changes" method="post" onsubmit="enableDisabledInputs()">
          <div class="govuk-grid-row">
            <div class="sra-grid-column-1-header">Client ID</div>
            <div class="sra-grid-column-2-header">Service Name</div>
            <div class="sra-grid-column-1-header">Status</div>
            <div class="sra-grid-column-5-header">Approve</div>
            <div class="sra-grid-column-3-header">Decline</div>
            <div class="sra-grid-column-6-header">&nbsp;</div>
            <div class="sra-grid-column-5-header">View</div>
          </div>

          {% for item in items %}
            <div class="govuk-grid-row" {% if item.show !== 'yes' %} hidden {% endif %}>
              <div class="sra-grid-column-1">{{ item.clientId }}</div>
              <div class="sra-grid-column-2">{{ item.serviceName }}</div>
              <div class="sra-grid-column-1">{{ item.status }}</div>
              
              <div class="sra-grid-column-5">
                <div class="govuk-radios--small">
                  <div class="govuk-radios__item">
                    <input class="govuk-radios__input" id="approve-{{ item.clientId }}" name="decision-{{ item.clientId }}" type="radio" value="approve" {% if item.status == 'Authorised' %} disabled {% endif %}>
                    <label class="govuk-label govuk-radios__label" for="approve-{{ item.clientId }}"></label>
                  </div>
                </div>
              </div>

              <div class="sra-grid-column-3">
                <div class="govuk-radios--small">
                  <div class="govuk-radios__item" style="display: inline-block;">
                    <input class="govuk-radios__input" id="decline-{{ item.clientId }}" name="decision-{{ item.clientId }}" type="radio" value="decline" {% if item.status == 'Authorised' %} disabled {% endif %}>
                    <label class="govuk-label govuk-radios__label" for="decline-{{ item.clientId }}"></label>
                  </div>
                </div>
              </div>

              <div class="sra-grid-column-6">
                <textarea class="govuk-textarea sra-auto-width" id="decline-reason-{{ item.clientId }}" name="decline-reason-{{ item.clientId }}" rows="1" cols="15" {% if item.status == 'Authorised' %} disabled {% endif %}></textarea>
              </div>

              <div class="sra-grid-column-5">
                <a class="govuk-link" href="/view-form/?id={{ item.clientId }}">View form</a>
              </div>
            </div>
          {% endfor %}
        </form>
      </main>

      <div class="govuk-grid-row">
        <div class="govuk-grid-column-one-half">
          <a href="/one-login?page=1" class="sra-goto">Go to One login approvals</a>
        </div>
        <div class="govuk-grid-column-one-half">
          <div class="govuk-button-group">
            <button class="govuk-button govuk-button--warning" data-module="govuk-button" id="btn-cancel">Cancel</button>
            <button class="govuk-button" id="btn-save" type="submit" data-module="govuk-button">Save changes</button>
          </div>
        </div>
      </div>

      <div class="govuk-grid-row">
        <div class="govuk-grid-column-two-thirds">&nbsp;</div>
        <div class="govuk-grid-column-one-third">
        {% if page > 1 %}
          <button class="govuk-button" id="btn-previous" data-module="govuk-button">&lt;</button>
        {% else %}
          <button class="govuk-button" id="btn-previous" data-module="govuk-button" disabled>&lt;</button>
        {% endif %}
          <h3 style="display: inline;">&nbsp;Page {{ page }} of {{ numberOfPages }}&nbsp;</h3>
           {% if page < numberOfPages %}
            <button class="govuk-button" id="btn-next" data-module="govuk-button">&gt;</button>
          {% else %}
            <button class="govuk-button" id="btn-next" data-module="govuk-button" disabled>&gt;</button>
          {% endif %}
        </div>
      </div>
    </div>

    <script>
      document
        .getElementById('btn-previous')
        .addEventListener('click', () => {
          const currentPage = {{ page }};
            const previousPage = currentPage - 1;
            window.location.href = `/dth-access?page=${previousPage}`;
        });

        document
        .getElementById('btn-next')
        .addEventListener('click', () => {
          const currentPage = {{ page }};
            const previousPage = currentPage + 1;
            window.location.href = `/dth-access?page=${previousPage}`;
        });

      document
        .getElementById('btn-search')
        .addEventListener('click', () => {
          const searchString = document
            .getElementById('input-search')
            .value;
          if (!searchString) 
            return;
          
          const contentElement = document.getElementById('main-content');
          const highlightedElements = contentElement.querySelectorAll('.highlight');
          highlightedElements.forEach((element) => {
            const textNode = document.createTextNode(element.textContent);
            element
              .parentNode
              .replaceChild(textNode, element);
          });

          const regex = new RegExp(`(${searchString})`, 'gi');
          contentElement.innerHTML = contentElement
            .innerHTML
            .replace(regex, '<span class="highlight">$1</span>');
        });
    </script>
  </body>

</html>